# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Log/Dispatch/Screen.pm) perl(Scalar/Util.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
Name:           perl-CGI-Application-Plugin-LogDispatch
Version:        1.02
Release:        alt1_12
Summary:        Add Log::Dispatch support to CGI::Application
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CGI-Application-Plugin-LogDispatch/
Source0:        http://www.cpan.org/authors/id/C/CE/CEESHEK/CGI-Application-Plugin-LogDispatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Log/Dispatch.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Sub/WrapPackages.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(Sub/WrapPackages.pm)


Source44: import.info

%description
CGI::Application::Plugin::LogDispatch adds logging support to your
CGI::Application modules by providing a Log::Dispatch dispatcher object
that is accessible from anywhere in the application.

%prep
%setup -q -n CGI-Application-Plugin-LogDispatch-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1_12
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1_11
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1_9
- fc import

